[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashList.Find

Find data associated with key

## Declaration

Source position: contnrs.pp line 243

`public function TFPHashList.Find(`
`const AName: shortstring`
`):Pointer;`

## Arguments

`AName` |  | Key name to search for.

## Function result

Data associated with AName or Nil if it does not exist.

## Description

Find searches (using the hash) for the data item associated with item AName and returns the data pointer associated with it. If the item is not found, Nil is returned. It uses the hash value of the key to perform the search.

## See also

TFPHashList.HashOfIndex |  | Return the hash valye of an item by index
TFPHashList.NameOfIndex |  | Returns the key name of an item by index
TFPHashList.IndexOf |  | Return the index of the data pointer
TFPHashList.FindIndexOf |  | Return index of named item.
TFPHashList.FindWithHash |  | Find first element with given name and hash value

Documentation generated on: Feb 26 2014